package DE_EPAGES::CustomForm::API::Constants;
use base Exporter;

use strict;
use DE_EPAGES::Presentation::API::SpamprotectionConfig qw( SpamprotectionConfig );

our @EXPORT_OK = qw (
    %FormFieldTypes
    CUSTOMFORM_SUBMIT_THRESHOLD
);

#========================================================================================
#   key: custom form field class alias
# value: type of form input field
our %FormFieldTypes = (
    'TextFormField'        => 'string',
    'TextAreaFormField'    => 'string',
    'SelectBoxFormField'   => 'string',
    'RadioButtonFormField' => 'string',
    'CheckBoxFormField'    => 'checkbox',
    'CaptionFormField'     => 'string',
    'EMailFormField'       => 'email_address',
);

#========================================================================================
# function       CUSTOMFORM_SUBMIT_THRESHOLD
# state          public
#----------------------------------------------------------------------------------------
# syntax         my $CustomFormValues = CUSTOMFORM_SUBMIT_THRESHOLD();
#----------------------------------------------------------------------------------------
# description    Gets formsubmit timeframe configuration from configuration file for Submit
#                 changeAction on CustomForm class
#----------------------------------------------------------------------------------------
# return         ref.hash.boolean
#                 <ul>
#                       <li> IsActive   | boolean </>
#                       <li> Min        | Integer </>
#                       <li> Max        | Integer </>
#                 </ul>
#========================================================================================
sub CUSTOMFORM_SUBMIT_THRESHOLD() {
    return {
        'IsActive'  => SpamprotectionConfig()->get('DE_EPAGES::CustomForm', 'Submit_IsActive'),
        'Min'       => SpamprotectionConfig()->get('DE_EPAGES::CustomForm', 'Submit_Min'),
        'Max'       => SpamprotectionConfig()->get('DE_EPAGES::CustomForm', 'Submit_Max')
    };
}
1;
