#========================================================================================
# package      DE_EPAGES::CustomForm::Hooks:CustomForm.pm
# state        public
# description  hook handler for custom form objects
#========================================================================================
package DE_EPAGES::CustomForm::Hooks::CustomForm;

use strict;
use DE_EPAGES::CustomForm::API::Constants qw( CUSTOMFORM_SUBMIT_THRESHOLD );

#========================================================================================
# function     OnDoAction
# state        public
#----------------------------------------------------------------------------------------
# syntax       OnDoAction( $hParams );
#----------------------------------------------------------------------------------------
# description  Adds timeframe params to the $hParams input hash as defined in configuration.
#               Hook - UI_OnDoAction_SpamProtection
#               Triggered at DE_EPAGES::Presentation::Servlet::Permission::DoAction
#----------------------------------------------------------------------------------------
# input        $hParams | objects
#               <ul>
#                   <li>ObjectClassPath - String
#                   <li>ActionAlias - String
#                   <li>hThresholds - hash
#               </ul> | ref.hash.*
#========================================================================================
sub OnDoAction {
    my ($hParams) = @_;

    my $hTh = $hParams->{'hThresholds'};
    if (($hParams->{'ObjectClassPath'} eq '/Classes/CustomForm') && ($hParams->{'ActionAlias'} eq 'Submit')) {
            $hTh->{'hParams'} = CUSTOMFORM_SUBMIT_THRESHOLD();
    }
    return;
}
1;
