#========================================================================================
# package      DE_EPAGES::Forum::Hooks::ForumPost
# state        public
# description  hook handler for forum post objects
#========================================================================================
package DE_EPAGES::Forum::Hooks::ForumPost;

use strict;
use DE_EPAGES::Forum::API::Constants qw( FORUMPOST_ADDREPLY_THRESHOLD );

#========================================================================================
# function     OnDoAction
# state        public
#----------------------------------------------------------------------------------------
# syntax       OnDoAction( $hParams );
#----------------------------------------------------------------------------------------
# description  Adds timeframe params to the $hParams input hash as defined in configuration.
#               Hook - UI_OnDoAction_SpamProtection
#               Triggered at DE_EPAGES::Presentation::Servlet::Permission::DoAction
#----------------------------------------------------------------------------------------
# input        $hParams | objects
#               <ul>
#                   <li>ObjectClassPath - String
#                   <li>ActionAlias - String
#                   <li>hThresholds - hash
#               </ul> | ref.hash.*
#========================================================================================
sub OnDoAction {
    my ($hParams) = @_;

    my $hTh = $hParams->{'hThresholds'};
    if (($hParams->{'ObjectClassPath'} eq '/Classes/ForumPost') && ($hParams->{'ActionAlias'} eq 'AddReply')) {
            $hTh->{'hParams'} = FORUMPOST_ADDREPLY_THRESHOLD();
    }
    return;
}
1;
