#========================================================================================
# package      DE_EPAGES::Forum::Hooks::Guestbook
# state        public
# description  hook handler for guest book objects
#========================================================================================
package DE_EPAGES::Forum::Hooks::GuestBook;

use strict;
use DE_EPAGES::Forum::API::Constants qw( GUESTBOOK_ADDTHREAD_THRESHOLD );

#========================================================================================
# function     OnDoAction
# state        public
#----------------------------------------------------------------------------------------
# syntax       OnDoAction( $hParams );
#----------------------------------------------------------------------------------------
# description  Adds timeframe params to the $hParams input hash as defined in configuration.
#               Hook - UI_OnDoAction_SpamProtection
#               Triggered at DE_EPAGES::Presentation::Servlet::Permission::DoAction
#----------------------------------------------------------------------------------------
# input        $hParams | objects
#               <ul>
#                   <li>ObjectClassPath - String
#                   <li>ActionAlias - String
#                   <li>hThresholds - hash
#               </ul> | ref.hash.*
#========================================================================================
sub OnDoAction {
    my ($hParams) = @_;

    my $hTh = $hParams->{'hThresholds'};
    if (($hParams->{'ObjectClassPath'} eq '/Classes/GuestBook') && ($hParams->{'ActionAlias'} eq 'AddThread')) {
            $hTh->{'hParams'} = GUESTBOOK_ADDTHREAD_THRESHOLD();
    }
    return;
}
1;
