#========================================================================================
# package      DE_EPAGES::MolliePayments::t::unit::Requests_Profiles
# base         DE_EPAGES::Core::API::Test
# state        public
#----------------------------------------------------------------------------------------
# description  Unit test for DE_EPAGES::MolliePayments::API::Requests::Profiles
#========================================================================================
package DE_EPAGES::MolliePayments::t::unit::Tools;
use base DE_EPAGES::Core::API::Test;

use DE_EPAGES::MolliePayments::API::Tools qw ( ParseErrorStringToHash );
use Test::More;

use strict;

use constant MOLLIE_ERROR_STRING => "MollieErrorResponse [status=401 | title=Unauthorized Request | detail=Missing authentication, or failed to authenticate | field=null]";
use constant HTTP_STATUS_CODE_424 => 424;

use constant EXPECTED_RESULT_HASH => {
    'exception' => 'MollieErrorResponse',
    'status'    => HTTP_STATUS_CODE_424,
    'content'   => {
        'status' => '401',
        'title'  => 'Unauthorized Request',
        'detail' => 'Missing authentication, or failed to authenticate',
        'field'  => 'null'
    }
};

sub test {
    my $self = shift;

    $self->test_ParseErrorStringToHash();


    done_testing();
}

#----------------------------------------------------------------------------------------
# Tests
#----------------------------------------------------------------------------------------
sub test_ParseErrorStringToHash {
    my $self = shift;
    my $SubTestName = ( caller(0) )[3];

    my $hResult = ParseErrorStringToHash(MOLLIE_ERROR_STRING, HTTP_STATUS_CODE_424);

    ok(defined($hResult), 'Returns a result');

    is_deeply( $hResult, EXPECTED_RESULT_HASH, "$SubTestName - Returns expected result hash.");
}




#========================================================================================
# Main
#========================================================================================

__PACKAGE__->runScript();
